SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Enumerations | Functions
sketchup_info.h File Reference

Interfaces for obtaining information about the executing SketchUp application. More...

`#include <SketchUpAPI/common.h>`

## Enumerations
enum | SUEdition { SUEdition_Unknown, SUEdition_Make, SUEdition_Pro }
| This is the edition of SketchUp currently running. More...

## Functions
enum SUResult | SUGetVersionStringUtf8 (size_t length, char *version)
| Returns the version string for the current SketchUp version. This is exported only by the SketchUp executable. It is not part of the standalone SDK. More...
enum SUResult | SUGetEdition (enum SUEdition *edition)
| Returns the SketchUp edition (Pro or Make). This is only exported by the SketchUp executable. It is not part of the standalone SDK. Note: Starting with version 2018, SketchUp Make is no longer available. So this function will always return SUEdition_Pro. More...

## Detailed Description

Interfaces for obtaining information about the executing SketchUp application.

Note
  This is only relevant for the Live API.

## Enumeration Type Documentation

enum SUEdition

This is the edition of SketchUp currently running.

Since
  SketchUp 2016, API 4.0

Enumerator
SUEdition_Make | SketchUp Make.
SUEdition_Pro | SketchUp Pro.

## Function Documentation

enum SUResult SUGetEdition | ( | enum SUEdition * | edition | ) |

Returns the SketchUp edition (Pro or Make). This is only exported by the SketchUp executable. It is not part of the standalone SDK. Note: Starting with version 2018, SketchUp Make is no longer available. So this function will always return SUEdition_Pro.

Since
  SketchUp 2016, API 4.0

Parameters

  [out] | edition | The edition of Sketchup

See Also
  SUEdition

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_OUTPUT if edition is NULL

enum SUResult SUGetVersionStringUtf8 | ( | size_t | length,
|  | char * | version
| ) |  |

Returns the version string for the current SketchUp version. This is exported only by the SketchUp executable. It is not part of the standalone SDK.

Since
  SketchUp 2016, API 4.0

Parameters

  [in] | length | Length of the string buffer passed in including null terminator.
  [out] | version | The UTF-8 encoded version string. This must be large enough to hold the version string including null terminator.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_OUTPUT if version is NULL
  - SU_ERROR_INSUFFICIENT_SIZE if length is too small